Debian Bug report logs - #531324
ITP: openclonk -- multiplayer-action-tactic-skill game

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Resul Cetin <Resul-Cetin@gmx.net>

Date: Sun, 31 May 2009 15:45:09 UTC

Owned by: Philipp Kern <pkern@debian.org>

Severity: wishlist

Fixed in version openclonk/5.3.1-1

Done: Philipp Kern <pkern@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>:
Bug#531324; Package wnpp. (Sun, 31 May 2009 15:45:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Resul Cetin <Resul-Cetin@gmx.net>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>. (Sun, 31 May 2009 15:45:13 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Resul Cetin <Resul-Cetin@gmx.net>
To: submit@bugs.debian.org
Subject: RFP: openclonk -- multiplayer-action-tactic-skill game
Date: Sun, 31 May 2009 17:36:53 +0200
Package: wnpp
Severity: wishlist
X-Debbugs-CC: debian-devel@lists.debian.org

   Package name: openclonk
Upstream Author: RedWolf Design GmbH
            URL: http://openclonk.org/
        License: ISC
    Description: versatile game of strategy, action, skill, and endless fun





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#531324; Package wnpp. (Wed, 27 Jul 2011 16:11:47 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 27 Jul 2011 16:11:47 GMT) Full text and rfc822 format available.

Message #10 received at 531324@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 531324@bugs.debian.org
Cc: control@bugs.debian.org
Subject: openclonk: closing old inactive RFP
Date: Wed, 27 Jul 2011 17:57:26 +0200
close 531324
thanks

Hello,

This is an automatic mail sent to close this RFP.

Your RFP wnpp bug is being closed because of the following reasons:
- It hasn't seen any activity for the last 18 months.
- The amount of RFPs on the Debian BTS is huge and we need to
  clean up a bit the place.

As this an automatic procedure, it could of course have something
wrong and probably it would be closing some bugs that are not intended
by owners and submitters to be closed, for example if the RFP is still
of your interest, or there has been some kind of activity around it.
In that case, please do not hesitate to reopen the bug!

To re-open it, you simply have to mail control@bugs.debian.org
with a body text like this:

reopen 123456
thanks bts

Replacing '123456' for the number of your RFP bug. The subject of the
mail is ignored. Or if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <lucas@debian.org>.

Thanks for your cooperation,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Bug closed, send any further explanations to Resul Cetin <Resul-Cetin@gmx.net> Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 27 Jul 2011 16:22:47 GMT) Full text and rfc822 format available.

Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 18 Aug 2011 22:45:02 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: openclonk -- multiplayer-action-tactic-skill game' from 'RFP: openclonk -- multiplayer-action-tactic-skill game' Request was from Philipp Kern <pkern@debian.org> to control@bugs.debian.org. (Thu, 18 Aug 2011 22:45:03 GMT) Full text and rfc822 format available.

Owner recorded as Philipp Kern <pkern@debian.org>. Request was from Philipp Kern <pkern@debian.org> to control@bugs.debian.org. (Thu, 18 Aug 2011 22:45:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#531324; Package wnpp. (Mon, 10 Oct 2011 20:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philipp Kern <pkern@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 10 Oct 2011 20:12:03 GMT) Full text and rfc822 format available.

Message #23 received at 531324@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: 531324@bugs.debian.org
Subject: Current state
Date: Mon, 10 Oct 2011 22:09:12 +0200
[Message part 1 (text/plain, inline)]
The current state of the ITP is as follows:

The game is packaged and available from [0] for Ubuntu.  The package
should be policy compliant and is re-buildable on Debian as-is.  (I
build and use it on Debian.)

The sounds as currently provided are not DFSG-free.  Not shipping the
sounds breaks network play, however, because the assets are checked on
startup.

The newest upstream release resolved the problems with not DFSG-free
textures, so there's clearly progress.

The game's assets are not built from the resource files, though, so we
rely on them being regenerateable by other means.  The resources
tarball is just shipped to provide the original source files.  It's
not exactly guaranteed that the assets are updateable using main
tools, but they probably are.

[0] https://launchpad.net/~openclonkdevteam/+archive/release
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#531324; Package wnpp. (Fri, 03 Feb 2012 21:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philipp Kern <pkern@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 03 Feb 2012 21:21:09 GMT) Full text and rfc822 format available.

Message #28 received at 531324@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: 531324@bugs.debian.org
Subject: Re: Bug#531324: Current state
Date: Fri, 3 Feb 2012 22:18:52 +0100
[Message part 1 (text/plain, inline)]
On Mon, Oct 10, 2011 at 10:09:12PM +0200, Philipp Kern wrote:
> The newest upstream release resolved the problems with not DFSG-free
> textures, so there's clearly progress.

And there won't be any non-free sound files neither! \o/

> The game's assets are not built from the resource files, though, so we
> rely on them being regenerateable by other means.  The resources
> tarball is just shipped to provide the original source files.  It's
> not exactly guaranteed that the assets are updateable using main
> tools, but they probably are.

So after the next release the only question remains if we need to ship those 
resource files or not (given that they're not exactly needed), and then it can
be uploaded to the archive.

Kind regards
Philipp Kern
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Philipp Kern <pkern@debian.org>:
Bug#531324; Package wnpp. (Fri, 24 Feb 2012 17:03:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jason Woofenden <jason@jasonwoof.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Philipp Kern <pkern@debian.org>. (Fri, 24 Feb 2012 17:03:18 GMT) Full text and rfc822 format available.

Message #33 received at 531324@bugs.debian.org (full text, mbox):

From: Jason Woofenden <jason@jasonwoof.com>
To: 531324@bugs.debian.org
Subject: openclonk FTBFS
Date: Fri, 24 Feb 2012 12:02:46 -0500
Hi,

This game looks cool! I had trouble building it, so I'm posting
about it here in hopes that it will speed up packaging when the
time is right.

I tried to build the openclonk ubuntu package
openclonk_5.2.2-0+ppa1~oneiric0 on my debian unstable box, and I'm
getting a conflict with zlib.h:

	~/openclonk-release-5.2.2-src/src/c4group/CStdFile.h:32:15: error: conflicting declaration ‘typedef void* gzFile’
	/usr/include/zlib.h:1204:26: error: ‘gzFile’ has a previous declaration as ‘typedef struct gzFile_s* gzFile’


Here's what I did:

I downloaded these:

	openclonk_5.2.2-0+ppa1~oneiric0.debian.tar.gz (3.8 KiB)
	openclonk_5.2.2.orig.tar.gz (41.1 MiB)

From this page:

	https://launchpad.net/~openclonkdevteam/+archive/release/+packages

Unpacked them (one inside the other), installed build-deps with
apt-get install, and then compiled with this command:

	dpkg-buildpackage -rfakeroot -us -uc


Thanks!

       - Jason




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#531324; Package wnpp. (Sat, 25 Feb 2012 11:33:03 GMT) Full text and rfc822 format available.

Message #36 received at 531324@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Jason Woofenden <jason@jasonwoof.com>, 531324@bugs.debian.org
Subject: Re: Bug#531324: openclonk FTBFS
Date: Sat, 25 Feb 2012 12:30:09 +0100
[Message part 1 (text/plain, inline)]
On Fri, Feb 24, 2012 at 12:02:46PM -0500, Jason Woofenden wrote:
> This game looks cool! I had trouble building it, so I'm posting
> about it here in hopes that it will speed up packaging when the
> time is right.
> 
> I tried to build the openclonk ubuntu package
> openclonk_5.2.2-0+ppa1~oneiric0 on my debian unstable box, and I'm
> getting a conflict with zlib.h:
> 
> 	~/openclonk-release-5.2.2-src/src/c4group/CStdFile.h:32:15: error: conflicting declaration ‘typedef void* gzFile’
> 	/usr/include/zlib.h:1204:26: error: ‘gzFile’ has a previous declaration as ‘typedef struct gzFile_s* gzFile’

Somebody broke zlib1g in unstable I guess.  It built in precise and
I'm always testing it on wheezy (in fact I only test it there, upload
it to the PPA and let others test them).  However on Feb 22 a new zlib
version migrated.

I'll just wait until it fixes itself.  I don't think that's a fault of
openclonk, at least.

Kind regards
Philipp Kern 
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#531324; Package wnpp. (Tue, 28 Feb 2012 23:00:03 GMT) Full text and rfc822 format available.

Message #39 received at 531324@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Jason Woofenden <jason@jasonwoof.com>, 531324@bugs.debian.org
Subject: Re: Bug#531324: openclonk FTBFS
Date: Tue, 28 Feb 2012 23:57:23 +0100
[Message part 1 (text/plain, inline)]
On Fri, Feb 24, 2012 at 12:02:46PM -0500, Jason Woofenden wrote:
> I tried to build the openclonk ubuntu package
> openclonk_5.2.2-0+ppa1~oneiric0 on my debian unstable box, and I'm
> getting a conflict with zlib.h:
> 
> 	~/openclonk-release-5.2.2-src/src/c4group/CStdFile.h:32:15: error: conflicting declaration ‘typedef void* gzFile’
> 	/usr/include/zlib.h:1204:26: error: ‘gzFile’ has a previous declaration as ‘typedef struct gzFile_s* gzFile’

Needs the fix from [0].

Kind regards,
Philipp Kern

[0] http://hg.openclonk.org/openclonk/rev/7a5ee23b58aa
-- 
 .''`.  Philipp Kern                        Debian Developer
: :' :  http://philkern.de                         Stable Release Manager
`. `'   xmpp:phil@0x539.de                         Wanna-Build Admin
  `-    finger pkern/key@db.debian.org
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Philipp Kern <pkern@spike.0x539.de> to control@bugs.debian.org. (Mon, 22 Oct 2012 06:30:06 GMT) Full text and rfc822 format available.

Reply sent to Philipp Kern <pkern@debian.org>:
You have taken responsibility. (Wed, 14 Nov 2012 23:03:07 GMT) Full text and rfc822 format available.

Notification sent to Resul Cetin <Resul-Cetin@gmx.net>:
Bug acknowledged by developer. (Wed, 14 Nov 2012 23:03:07 GMT) Full text and rfc822 format available.

Message #46 received at 531324-close@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: 531324-close@bugs.debian.org
Subject: Bug#531324: fixed in openclonk 5.3.1-1
Date: Wed, 14 Nov 2012 23:00:12 +0000
Source: openclonk
Source-Version: 5.3.1-1

We believe that the bug you reported is fixed in the latest version of
openclonk, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 531324@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Philipp Kern <pkern@debian.org> (supplier of updated openclonk package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 21 Oct 2012 23:05:43 +0200
Source: openclonk
Binary: openclonk openclonk-data openclonk-dbg
Architecture: source amd64 all
Version: 5.3.1-1
Distribution: sid
Urgency: low
Maintainer: Philipp Kern <pkern@debian.org>
Changed-By: Philipp Kern <pkern@debian.org>
Description: 
 openclonk  - multiplayer game of strategy, action and skill
 openclonk-data - multiplayer game of strategy, action and skill - data
 openclonk-dbg - multiplayer game of strategy, action and skill - debug symbols
Closes: 531324
Changes: 
 openclonk (5.3.1-1) unstable; urgency=low
 .
   * Initial Debian release. (Closes: #531324)
Checksums-Sha1: 
 dcc9c06fb8c9b9221ab43b9e8ed4cb2496d5d8bb 1828 openclonk_5.3.1-1.dsc
 d59259db454cc076adf5f9cbe8cfadaf43e89ed7 51293752 openclonk_5.3.1.orig.tar.gz
 9dc4f67cbfd69c6fc31a9ff1c2327be0a7d5e09e 5496 openclonk_5.3.1-1.debian.tar.gz
 92ad128b4a50ac65118c299b6a6795e36cfe46ed 1806262 openclonk_5.3.1-1_amd64.deb
 ca5203157b531fec10c6156d9273dc3e3241b26a 41460678 openclonk-data_5.3.1-1_all.deb
 15c8c30fdbb98ba1e53e5770ae17a02ffcc28aa6 29864902 openclonk-dbg_5.3.1-1_amd64.deb
Checksums-Sha256: 
 9fd33334187037d6314388bacd99180ee44a7a87b63acd88f611504885a6c790 1828 openclonk_5.3.1-1.dsc
 32bc9dbd0d4e2ca58a961420d88dcc2c0e5c8bed0602bb25c189dbc4685ffd14 51293752 openclonk_5.3.1.orig.tar.gz
 1c87832bf4ec38ba8449956a4b36c802d38f9e16f4882a09da391b2abe56bf4a 5496 openclonk_5.3.1-1.debian.tar.gz
 9f4489b049aa29e145ee8bf1c539c211c9638cc07ae3e0e4e2a883456d205a56 1806262 openclonk_5.3.1-1_amd64.deb
 bc2be98cd28de51088218431fa8ea38d0c232fe4934e4ea5855de5623bf59949 41460678 openclonk-data_5.3.1-1_all.deb
 2ff58cb37f14aa1a2bf7011d92c86e31fd0c1a442b9b0e7a714862ed25a29e90 29864902 openclonk-dbg_5.3.1-1_amd64.deb
Files: 
 9f02cd780a9cecd75e63242c4bc15e35 1828 games optional openclonk_5.3.1-1.dsc
 d8cac177268283a350a1e525962782eb 51293752 games optional openclonk_5.3.1.orig.tar.gz
 fd06124ae38cf02c623bf6cc69cc044b 5496 games optional openclonk_5.3.1-1.debian.tar.gz
 4deecb3b6712656a9e6d9f688a3747d5 1806262 games optional openclonk_5.3.1-1_amd64.deb
 2c8b9c965d4b598369fe6f408daa0bbf 41460678 games optional openclonk-data_5.3.1-1_all.deb
 0222bd89e512ee8d1d008d1afd7de80d 29864902 debug extra openclonk-dbg_5.3.1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQEcBAEBCAAGBQJQhHRjAAoJEERuJUU10FbsT/sH+wfvA4pY+cc8saz3lLnyYYkr
R53XfvaAt2psoBslEGbzv3vgqMb8Yu7ALBQoWG1FOgZ6cK1VSUu0th0LYiiMtb+B
ufS3/u7RzvfUvWDbawZhxAa1GSyHhGWIazpcsda0GqkYwNZdd4srvBEXcMlJCp+P
j8gUTRrA22BMqEH1j8UhxjvOjjjcF5HZ/O9dlsb8VK5mnL6PuuB5BLH7tOcpfuRe
U0idSgmpTU3QmsWNwkMuC0USuDn+TbisJLflYd2K0E4Pn43ZJ0YTufSmxlwcx/yC
Bt/CyUgn4rKMY+HN2SDywT7Buhi4BcSgAr+uvkzVA97O9GjuWQmfaYUO5hV484w=
=FKHw
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 13 Dec 2012 07:27:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 18:36:16 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.